> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# List Opportunity Forms

GET https://api.coperniq.io/v1/opportunities/{opportunity_id}/forms

Retrieve all forms associated with an opportunity.

Supports:
- Status filtering (`status` query parameter)

**Note:** The `/requests` path is an alias for `/opportunities` and will continue to work until users are individually notified and migrated.


Reference: https://docs.coperniq.io/api-reference/forms/list-opportunity-forms

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `opportunity_id` (integer, required) — Opportunity identifier

### Query parameters

- `status` (enum, optional) — Filter forms by status
  - Allowed values: `UNASSIGNED`, `ASSIGNED`, `REVIEW`, `CHANGES_REQUESTED`, `COMPLETED`, `CANCELLED`

## Response

### 200

List of forms

- `list of OpportunityForm`

## Errors

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `UNAUTHORIZED`

## Types

### OpportunityForm

- `id` (integer, optional) — Form identifier
- `name` (string, optional) — Form name
- `description` (string, optional, nullable) — Form description
- `isCompleted` (boolean, optional) — Whether the form is completed
- `createdBy` (integer, optional) — ID of user who created the form
- `createdAt` (string, optional) — Creation timestamp
- `updatedAt` (string, optional) — Last update timestamp
- `templateId` (integer, optional, nullable) — Template ID
- `status` (enum, optional) — Form status
  - Allowed values: `UNASSIGNED`, `ASSIGNED`, `REVIEW`, `CHANGES_REQUESTED`, `COMPLETED`, `CANCELLED`
- `dueDate` (string, optional, nullable) — Due date
- `completedAt` (string, optional, nullable) — Completion timestamp
- `assignee` (UserSummary, optional) — Minimal user representation used in responses
- `requestId` (integer, optional) — Associated opportunity ID
- `collaborators` (list of UserSummary, optional) — Additional users collaborating on the form

### UserSummary

Minimal user representation used in responses

- `id` (integer, optional)
- `firstName` (string, optional, nullable)
- `lastName` (string, optional, nullable)
- `email` (string, optional, nullable)
- `avatarUrl` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "id": 1,
    "name": "string",
    "description": "string",
    "isCompleted": true,
    "createdBy": 1,
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "templateId": 1,
    "status": "UNASSIGNED",
    "dueDate": "2024-01-15T09:30:00Z",
    "completedAt": "2024-01-15T09:30:00Z",
    "assignee": {
      "id": 1,
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "avatarUrl": "string"
    },
    "requestId": 1,
    "collaborators": [
      {
        "id": 1,
        "firstName": "string",
        "lastName": "string",
        "email": "string",
        "avatarUrl": "string"
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/opportunities/1/forms"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/opportunities/1/forms';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/opportunities/1/forms"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/opportunities/1/forms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/opportunities/1/forms")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/opportunities/1/forms', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/opportunities/1/forms");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/opportunities/1/forms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```